Page MenuHomePhabricator

Flow: 'Could not create UserTuple' silently aborts big chunk of Special:Contributions output
Closed, ResolvedPublic

Description

http://ee-flow.wmflabs.org/wiki/Special:Contributions/Spage seems to work but the first listing is from 22 August 2014. I'm sure I have lots of more recent contributions! :)

Behind the scenes there's an "Exception from line 112 of /srv/mediawiki/extensions/Flow/includes/Model/Workflow.php: Could not create UserTuple for workflow_user_" in /tmp/debug.log

this looks like the same bad DB state error as bug 71858, which stops display of my user page. The problem here is that the exception silently stops the report of all my recent contributions, with no indication of a problem. Instead it should report the exception inline as "could not retrieve workflow <UUID>" (non-localized programmer-speak is fine, this should be rare) but still report the rest of my contributions. Likewise for bug 71858, show the rest of the content on the Flow board despite the error.

/tmp/flow.log has a corresponding 2014-10-20 21:27:12 ee-flow testwiki: FlowHooks::onContributionsQuery: Failed contributions query

[exception] [597a929d] /wiki/Special:Contributions/Spage Exception from line 112 of /srv/mediawiki/extensions/Flow/includes/Model/Workflow.php: Could not create UserTuple for workflow_user_
#0 [internal function]: Flow\Model\Workflow::fromStorageRow(Array, NULL)
#1 /srv/mediawiki/extensions/Flow/includes/Data/Mapper/CachingObjectMapper.php(84): call_user_func(Array, Array, NULL)
#2 /srv/mediawiki/extensions/Flow/includes/Data/ObjectLocator.php(306): Flow\Data\Mapper\CachingObjectMapper->fromStorageRow(Array)
#3 /srv/mediawiki/extensions/Flow/includes/Data/ObjectManager.php(298): Flow\Data\ObjectLocator->load(Array)
#4 /srv/mediawiki/extensions/Flow/includes/Data/ObjectLocator.php(93): Flow\Data\ObjectManager->load(Array)
#5 /srv/mediawiki/extensions/Flow/includes/Data/ObjectLocator.php(187): Flow\Data\ObjectLocator->findMulti(Array)
#6 [internal function]: Flow\Data\ObjectLocator->getMulti(Array)
#7 /srv/mediawiki/extensions/Flow/includes/Data/ManagerGroup.php(71): call_user_func_array(Array, Array)
#8 /srv/mediawiki/extensions/Flow/includes/Data/ManagerGroup.php(79): Flow\Data\ManagerGroup->call('getMulti', Array)
#9 /srv/mediawiki/extensions/Flow/includes/Formatter/AbstractQuery.php(139): Flow\Data\ManagerGroup->getMulti('Workflow', Array)
#10 /srv/mediawiki/extensions/Flow/includes/Formatter/ContributionsQuery.php(70): Flow\Formatter\AbstractQuery->loadMetadataBatch(Array)
#11 /srv/mediawiki/extensions/Flow/Hooks.php(579): Flow\Formatter\ContributionsQuery->getResults(Object(ContribsPager), '', 51, false)
#12 [internal function]: FlowHooks::onContributionsQuery(Array, Object(ContribsPager), '', 51, false)
#13 /srv/mediawiki/includes/Hooks.php(206): call_user_func_array('FlowHooks::onCo...', Array)
#14 /srv/mediawiki/includes/GlobalFunctions.php(4004): Hooks::run('ContribsPager::...', Array, NULL)
#15 /srv/mediawiki/includes/specials/SpecialContributions.php(748): wfRunHooks('ContribsPager::...', Array)
#16 /srv/mediawiki/includes/pager/IndexPager.php(222): ContribsPager->reallyDoQuery('', 51, false)
#17 /srv/mediawiki/includes/pager/IndexPager.php(556): IndexPager->doQuery()
#18 /srv/mediawiki/includes/specials/SpecialContributions.php(197): IndexPager->getNumRows()
#19 /srv/mediawiki/includes/specialpage/SpecialPage.php(363): SpecialContributions->execute('Spage')
#20 /srv/mediawiki/includes/specialpage/SpecialPageFactory.php(588): SpecialPage->run('Spage')
#21 /srv/mediawiki/includes/MediaWiki.php(275): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#22 /srv/mediawiki/includes/MediaWiki.php(584): MediaWiki->performRequest()
#23 /srv/mediawiki/includes/MediaWiki.php(435): MediaWiki->main()
#24 /srv/mediawiki/index.php(46): MediaWiki->run()
#25 {main}


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=71858

Details

Reference
bz72280

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:51 AM
bzimport set Reference to bz72280.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
EBernhardson closed this task as Resolved.Feb 20 2015, 6:48 PM
EBernhardson claimed this task.

This problem has been solved some time ago